Bug 1280344 - Changing users permanently break enabled collections
Changing users permanently break enabled collections
Status: NEW
Product: Red Hat Software Collections
Classification: Red Hat
Component: scl-utils (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: alpha
: 2.1
Assigned To: Joe Orton
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 09:21 EST by Josef Stribny
Modified: 2016-07-31 21:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Stribny 2015-11-11 09:21:38 EST
Description of problem:


Version-Release number of selected component (if applicable):
# rpm -q scl-utils
scl-utils-20130529-17.el7_1.x86_64

Tested on CentOS Linux release 7.1.1503 (Core).

How reproducible:

$ ruby -v
ruby 2.0.0p598 (2014-11-13) [x86_64-linux]
$ scl enable rh-ruby22 bash
$ ruby -v
ruby 2.2.2p95 (2015-04-13 revision 50295) [x86_64-linux]
$ su
Password: 
# echo $X_SCLS
rh-ruby22
# ruby -v
ruby: error while loading shared libraries: libruby.so.2.2: cannot open shared object file: No such file or directory
# scl enable rh-ruby22 bash
# echo $X_SCLS
rh-ruby22
# echo $PATH
/opt/rh/rh-ruby22/root/usr/bin:/usr/local/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/home/vagrant/.local/bin:/home/vagrant/bin
# echo $LD_LIBRARY_PATH

# ruby -v
ruby: error while loading shared libraries: libruby.so.2.2: cannot open shared object file: No such file or directory


Steps to Reproduce:
1. enable collection
2. change user
3. try to use the collection


Additional info:

It seems that some ENV variables remains when changing users but some not. Because of that enabled collections are broken and enabling them again does not help.

Note You need to log in before you can comment on or make changes to this bug.